## WebKitDOMStorage

WebKitDOMStorage

## Functions

gchar * | webkit_dom_storage_key ()
gchar * | webkit_dom_storage_get_item ()
void | webkit_dom_storage_set_item ()
void | webkit_dom_storage_remove_item ()
void | webkit_dom_storage_clear ()
gulong | webkit_dom_storage_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMStorage

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMStorage

## Description

## Functions

### webkit_dom_storage_key ()

    gchar *
    webkit_dom_storage_key (WebKitDOMStorage *self,
                            gulong index,
                            GError **error);

#### Parameters

self | A WebKitDOMStorage |
index | A gulong |
error | GError |

#### Returns

A gchar

### webkit_dom_storage_get_item ()

    gchar *
    webkit_dom_storage_get_item (WebKitDOMStorage *self,
                                 const gchar *key,
                                 GError **error);

#### Parameters

self | A WebKitDOMStorage |
key | A gchar |
error | GError |

#### Returns

A gchar

### webkit_dom_storage_set_item ()

    void
    webkit_dom_storage_set_item (WebKitDOMStorage *self,
                                 const gchar *key,
                                 const gchar *data,
                                 GError **error);

#### Parameters

self | A WebKitDOMStorage |
key | A gchar |
data | A gchar |
error | GError |

### webkit_dom_storage_remove_item ()

    void
    webkit_dom_storage_remove_item (WebKitDOMStorage *self,
                                    const gchar *key,
                                    GError **error);

#### Parameters

self | A WebKitDOMStorage |
key | A gchar |
error | GError |

### webkit_dom_storage_clear ()

    void
    webkit_dom_storage_clear (WebKitDOMStorage *self,
                              GError **error);

#### Parameters

self | A WebKitDOMStorage |
error | GError |

### webkit_dom_storage_get_length ()

    gulong
    webkit_dom_storage_get_length (WebKitDOMStorage *self,
                                   GError **error);

#### Parameters

self | A WebKitDOMStorage |
error | GError |

#### Returns

A gulong

## Types and Values

### WebKitDOMStorage

    typedef struct _WebKitDOMStorage WebKitDOMStorage;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong Storage:length.

Flags: Read